Resolution:    

Description

Currently incoming emails from unknown addresses are not processed.

Some redmine users also like to submit tickets from alternative or personal email addresses, and an ideal enhancement to the email

submission would be:

1) possibility to add email aliases in addition to the default email address that is used for sending notifications. this way, an email

from the default address or the secondary alias address will be accepted.

2) possibility to allow ticket submission from a previously unknown address. this could be mapped to a default generic user, or a new

username created from the email address (both options could be avaialable to the administrator).

Related issues:

Related to Redmine - Feature #2334: Autocreate user account when user submits... Closed 2008-12-13

Follows Redmine - Feature #2230: Issue creation via email from anyone without... New 2008-11-26

Associated revisions

Revision 2789 - 2009-06-14 16:48 - Jean-Philippe Lang

Ability to accept incoming emails from unknown users (#2230, #3003).

An option lets you specify how to handle emails from unknown users:

ignore: the email is ignored (previous and default behaviour)

accept: the sender is considered as an anonymous user

create: a user account is created (username/password are sent back to the user)

Permissions have to be consistent with the chosen option. Eg. if you choose 'create', the 'Non member' role must have the 'Add issues' permission so

that an issue can be created by an unknown user via email. If you choose 'accept', the 'Anonymous' role must have this permission.

History

#1 - 2009-04-24 15:10 - Marius  Hächler

- File create_users_from_emails_patch added

- File fixtures.rar added

I added some functionality that might be interesting. Basicly some more options for receiving e-mail, like what do to with unknown addresses. it's a

little bit configurable like i thought it could be usefull.

A new user will be created from the email address:

email = from

firstname = from.split(@).split(.).first

lastname = from.split(@).split(.).last

password = generated

Tests included

Use as you like. (i suggest this would resolve point 2)

#2 - 2009-04-24 15:11 - Marius  Hächler

- File create_users_from_emails_patch.patch added

This patch is somehow better.
#3 - 2009-05-14 00:10 - Tero Tilus

Modified the patch a little.  Role creation was broken against current trunk.  Modified patch available at github, 

http://github.com/terotil/redmine/commit/458682467dc21a7cf0ad769fd5f351fbd96a468a

#4 - 2009-05-14 12:55 - simon b

Tero

Thankyou. How to implement your patch? The github gives a 1.2mb tar file of the a fork rather than a .patch diff file.

I am using the latest svn checkout.

#5 - 2009-05-14 14:35 - Tero Tilus

- File create-users-from-emails.patch added

patch attached

#6 - 2009-11-22 14:22 - Mischa The Evil

- Category set to Email notifications

Extracted from issue #2230:

Kolja K. wrote on 2009-11-20 17:46:

If you plan to put this issue in 0.9, it would be a really good idea to allow anonymous tickets with an email adress attached. This way, you

are not forced to have every email to create an user only to know who has created the ticket. Kind of light users only with an email adress

and unable to log in. Think of redirecting your webmaster@domain.com into redmine... and btw: there is a patch to activate a permission

called "view own issues" - perfect solution for inbox projects.

 Jean-Philippe Lang replied on 2009-11-21 13:34:

Yes, this would be a really good idea. But time is missing for adding this in 0.9.

 

#7 - 2009-11-28 13:18 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#8 - 2012-03-05 13:23 - Stéphane Gourichon

Some redmine users also like to submit tickets from alternative or personal email addresses

Solution implemented r2789:

deals with unknown e-mails very well (AFAIK, at least)

does not address need to associate to each user a collection of alternate e-mail adresses.

The one that bites hard here is people replying to existing issues with a different e-mail address... replies get lost.

That need of alternate e-mail addresses is de facto discussed in #4244, although the initial title and description are different.

If each issue is to be kept focused for clarity, should a separate dedicated issue be created ?

Files

create_users_from_emails_patch 11.4 KB 2009-04-24 Marius  Hächler

fixtures.rar 1.21 KB 2009-04-24 Marius  Hächler

create_users_from_emails_patch.patch 17.1 KB 2009-04-24 Marius  Hächler

create-users-from-emails.patch 18.8 KB 2009-05-14 Tero Tilus
